Overview

List all virtual fields

List all virtual fields.

GET/v2/vfields
Features

Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.

Input1
Authorizationheaderrequired
Sent from your browser straight to the API — never to Docsbook, never stored.
datasetstring · queryrequired
(query)
Output7
datasetstring
descriptionstring
expressionstring
namestring
typestring
unitstring
idstring
Responses
200VirtualFieldWithId
Example input
curl 'https://api.axiom.co/v2/vfields?dataset=<dataset>' \
  -H 'Authorization: Bearer API_TOKEN'
Example output
[
  {
    "dataset": "string",
    "description": "string",
    "expression": "string",
    "name": "string",
    "type": "string",
    "unit": "string",
    "id": "string"
  }
]

Updated

Was this page helpful?